LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
SimpleRegistry Service Referencepublished

makes it possible to create, open, or close a registry. More...

`import"SimpleRegistry.idl";`

Inheritance diagram for SimpleRegistry:

## Additional Inherited Members
Public Member Functions inherited from XSimpleRegistry
string | getURL ()
| returns the URL of the current data source of the registry. More...
void | open ([in] string rURL, [in] boolean bReadOnly, [in] boolean bCreate) raises ( com::sun::star::registry::InvalidRegistryException )
| connects the registry to a persistent data source represented by a URL. More...
boolean | isValid ()
| checks if the registry points to a valid data-source. More...
void | close () raises ( com::sun::star::registry::InvalidRegistryException )
| disconnects the registry from the data-source. More...
void | destroy () raises ( com::sun::star::registry::InvalidRegistryException )
| destroys the registry and the data source. More...
com::sun::star::registry::XRegistryKey | getRootKey () raises ( com::sun::star::registry::InvalidRegistryException )
boolean | isReadOnly () raises ( com::sun::star::registry::InvalidRegistryException )
| checks if the registry is readonly. More...
void | mergeKey ([in] string aKeyName, [in] string aUrl) raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::MergeConflictException )
| merges a registry under the specified key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to create, open, or close a registry.

Further, it is possible to merge a registry under a specified key in the open registry.

Guarantees:

- -thread safe

The documentation for this service was generated from the following file:

- com/sun/star/registry/SimpleRegistry.idl